=== debian/changelog ===
gifticlib (1.0.9-7) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4
    Closes: #1112954
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2025 13:53:04 +0200

gifticlib (1.0.9-6) unstable; urgency=medium

  * d/control: add myself to uploaders
  * d/t/run-unit-test: take endianness of the underlying system into account.
    Thanks to Paul Gevers for the hint!  (Closes: #1013162)
  * d/control: differentiate development package description.
  * d/watch: use https protocol instead of http.
  * d/control: declare compliance to standards version 4.6.1.
  * Add typos.patch: fix a typo caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Mon, 27 Jun 2022 20:48:20 +0200

gifticlib (1.0.9-5) unstable; urgency=medium

  * Team upload.
  * Add autopkgtests
  * Install examples
  * Add copyright for test data
  * Fix blhc
  * Add patch to fix reprotest
  * Add manpage for gifti_tool

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 04 Jun 2022 00:23:24 +0530

gifticlib (1.0.9-4) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Med team
  * Build-Depends: s/libnifti-dev/libnifti2-dev/
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update watch file format version to 4.
  * Remove Section on libgiftiio0 that duplicates source.

 -- Andreas Tille <tille@debian.org>  Mon, 07 Dec 2020 15:40:28 +0100

gifticlib (1.0.9-3) unstable; urgency=medium

  * Team upload.
  * Add SciCrunch ID
  * debhelper 9
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * d/copyright:
     - Explicit BSD-3-clause license
     - cme fix dpkg-copyright
  * hardening=+all
  * Drop DM-Upload-Allowed
  * Avoid brace expansion in debhelper file

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 08:54:18 +0100

gifticlib (1.0.9-2) unstable; urgency=medium

  * debian/control
    - -dev should depend on libnifti-dev due to include of nifti1_io.h
      (Closes: #867550)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Jan 2018 11:19:48 -0500

gifticlib (1.0.9-1) unstable; urgency=low

  * New upstream release. Merged cmake patch.
  * Adjust build-dependency on libnifti-dev (no versioned -dev package
    anymore).
  * Bump Standards-version to 3.9.0, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 21 Jul 2010 09:30:12 -0400

gifticlib (1.0.8-1) unstable; urgency=low

  * Initial Debian packaging based on debhelper's "dh" and using the new source
    package format 3.0 (quilt). Closes: #587047.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 25 Apr 2010 12:47:51 -0400
