=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# one ring to rule them all ...
%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure-arch:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
