=== debian/watch ===
Version: 5

Source: https://www.nitrc.org/frs/?group_id=75
Matching-Pattern: .*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
